.\" DAL DaGetErrCode(3) manpage
.\"
.\"
.\" +============================================+
.\" |  Author:          Yury Georgievskiy, CERN  |
.\" |  Creation date:   01.06.2007               |
.\" +============================================+
.\"
.\"
.TH DAGETERRCODE "3" "June 2007" "Driver Access Library" "DAL User's Manual"
.SH NAME
DaGetErrCode \- decode \fBDAL\fR error code
.SH SYNOPSIS
.B da_err_str_t* DaGetErrCode(da_err_t \fIdal_error\fB);
.SH DESCRIPTION
Use this function to get \fBDAL\fR error information in human readable form.
It's possible to get error \fIenum name\fR and \fIerror meaning\fR.
.sp
\fBda_err_str_t\fR holds error information and defined in \fIDrvrAccess.h\fR as following:
.br
.ft B
typedef struct _tagDA_ERR_STR {
  char da_err_code[32];	/* enum name */
  char da_err_str[128];	/* error meaning */
.br
} da_err_str_t;
.sp
\fBda_err_t\fR defined in \fIDrvrAccess.h\fR as follows:
.br
.ft B
typedef enum _tagDA_ERR {
  DA_ERR_ALL_OK     = 0, /* we cool */
  DA_ERR_BAD_HANDLE = 1, /* library handle is bad */
  DA_ERR_NO_REG     = 2, /* no such register */
  DA_ERR_INT_ERR    = 3, /* internal error. info is printed out on stderr if DA_DBG_ERR_INFO debug flag is set */
  DA_ERR_REG_BOUNDS = 4, /* required elements are beyond register bounds */
  DA_ERR_IOCTL_FAIL = 5, /* ioctl call fails */
  DA_ERR_BAD_AM     = 6, /* bad register access method */
  DA_ERR_NOT_INIT   = 7, /* library was not initialized (i.e. DaEnableAccess() was not called) */
  DA_ERR_B2S        = 8, /* provided buffer is too small */
  DA_ERR_NOT_ALLOW  = 9, /* requested operation not allowed */
  DA_ERR_INCOMPAT   = 10, /* DAlib <-> driver are incompatible. Driver was generated BEFORE current DAlib and SHOULD be re-generated using driverGen! */
  DA_ERR_ERR        = 11, /* General DAL error. Depending on the function, can have different meanings */
  DA_BAD_PARAM      = 12, /* provided parameters are bad */
  DA_SYS_FAIL       = 13, /* system call failed */
  DA_ERR_LAST
.br
} da_err_t;
.IP \fIdal_error
- error, returned by one of the \fBDAL\fR functions
.SH RETURN VALUE
Pointer to the \fBda_err_str_t\fR structure that holds
error information.
.SH EXAMPLES
.ft B
da_err_t error;

/* DAL function call */
.br
error = DaDbgFlag(dalH, 0, OPRD);
.sp
/* printout error enum name */
.br
printf("Enum name is %s\\n", DaGetErrCode(error)->da_err_code);
.sp
/* printout error meaning */
.br
printf("Error meaning is '%s'\\n", DaGetErrCode(error)->da_err_str);
.SH AUTHOR
Written by Yury Georgievskiy <ygeorgie@gmail.com>
.SH SEE ALSO
.BR driverGen (8),
.BR modinst (8),
.BR moduninst (8),
.BR dal (3),
.BR DaEnableAccess (3),
.BR DaDisableAccess (3),
.BR DaSetDefAM (3),
.BR DaGetDefAM (3),
.BR DaGetNodeFd (3),
.BR DaGetRegister (3),
.BR DaGetRegChunk (3),
.BR DaSetRegister (3),
.BR DaSetRegChunk (3),
.BR DaGetRegDepth (3),
.BR DaGetRegSize (3),
.BR DaGetRegRep (3),
.BR DaSetRegRep (3),
.BR DaGetRegAccessRights (3),
.BR DaGetRegName (3),
.BR DaDrvrVers (3),
.BR DaLibVers (3),
.BR DaDbgFlag (3),
.BR DaUserEntryPoint (3)
